---
{{ template "common.ConfigMap" (list . "blackbox-exporter.ConfigMap") }}

{{- define "blackbox-exporter.ConfigMap" }}
metadata:
  name: {{ template "common.fullname" . }}-config
data:
  blackbox.yml: |
    {{- index .Values.config "blackbox.yml" | toYaml | nindent 4 }}
{{- end }}
